Robotics Service Bus - Feature #1235

Extend / Adapt Java Configuration to Accept Common / C++ Configuration Properties
11/13/2012 11:37 AM - S. Wrede

Status: Resolved Start date: 11/13/2012
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: Java Estimated time: 0.00 hour
Target version: rsb-0.9

Description

Currently, the user sees error messages if properties unknown to the Java implementation are used in the rsb.conf file. Examples
include logging statements / plugin configuration etc.

Example:

An exception occurred reading configuration from file /Users/swrede/.config/rsb.conf': Trying to set unkown property
'rsc.logging.rsb.LEVEL'" in Properties.setProperty()
An exception occurred reading configuration from file /Users/swrede/.config/rsb.conf': Trying to set unkown property
'rsc.logging.rsc.LEVEL' in Properties.setProperty()

The Java implementation should ignore the CPP properties. For the logging, we should discuss whether the logging configuration
should be the same for Java and CPP which won't be universally true as the implementation is partially different. However, some
general cases could be matched.

History

#1 - 04/17/2013 02:47 PM - J. Moringen

- Target version changed from rsb-0.9 to rsb-0.10

#2 - 08/27/2013 09:44 AM - J. Wienke

- Status changed from New to Resolved

- Assignee set to J. Wienke

- Target version changed from rsb-0.10 to rsb-0.9

- % Done changed from 0 to 100

This has already been done with the socket transport implementation.
